print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceemptypallets = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local emptypalletsHudFile = "Paletten/hud_fill_emptypallets.dds"
	local emptypalletsHudFileSmall = "Paletten/hud_fill_emptypallets_small.dds"
	
    local emptypalletsFilType = g_fillTypeManager:addFillType("EMPTYPALLETS", g_i18n:getText("emptypallets"), true, priceemptypallets * 0.6, 0.00045, math.rad(10), emptypalletsHudFile, emptypalletsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasemptypallets=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasemptypallets=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "EMPTYPALLETS" then
		hasemptypallets=true
	end;
		
end;

		if hasmaize and not hasemptypallets then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")
		local price = g_fillTypeManager:getFillTypeByName("EMPTYPALLETS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)